<script>
    export default {
        methods: {
            handleInput(e) {
                let value = e.target.value.trim();
                this.$emit('toSearch', value);
            }
        }
    }
</script>
<template>
    <div class="form-group mb-6">
        <div class="form-input input-group">
            <span class="input-group-helper rounded-l-4">
                <img src="@/assets/images/views/panel/icon-search.svg" alt="">
            </span>
            <input class="input-group-field pl-2" type="text" placeholder="Busca un chat" @input="handleInput">
        </div>
    </div>
</template>